import request from '@/utils/request'

// 查询站点信息列表
export function listWebsite(query) {
  return request({
    url: '/system/website/list',
    method: 'get',
    params: query
  })
}

// 查询站点信息详细
export function getWebsite(id) {
  return request({
    url: '/system/website/' + id,
    method: 'get'
  })
}

// 新增站点信息
export function addWebsite(data) {
  return request({
    url: '/system/website',
    method: 'post',
    data: data
  })
}

// 修改站点信息
export function updateWebsite(data) {
  return request({
    url: '/system/website',
    method: 'put',
    data: data
  })
}

// 删除站点信息
export function delWebsite(id) {
  return request({
    url: '/system/website/' + id,
    method: 'delete'
  })
}
